%define major 0
%define libname %mklibname nfsidmap %{major}
%define devname %mklibname nfsidmap -d

Name:       nfs-utils
Epoch:      1

# group all 32bit related archs
%global all_32bit_archs i386 i486 i586 i686 athlon ppc sparcv9

Version:    2.8.2
Release:    %mkrel 2
Summary:    The utilities for Linux NFS server
Group:      Networking/Other
License:    MIT and GPLv2 and GPLv2+ and BSD
URL:        https://linux-nfs.org/
Source0:    https://www.kernel.org/pub/linux/utils/nfs-utils/%{version}/%{name}-%{version}.tar.xz
Source1:    id_resolver.conf
Source2:    lockd.conf
Source3:    24-nfs-server.conf
Source4:    10-nfsv4.conf

Patch100:   nfs-utils-1.2.1-statdpath-man.patch
Patch101:   nfs-utils-1.2.1-exp-subtree-warn-off.patch
Patch102:   nfs-utils-1.2.5-idmap-errmsg.patch
Patch103:   nfs-utils-2.8.2-systemd-gssproxy-restart.patch
Patch104:   nfs-utils-2.3.3-man-tcpwrappers.patch
Patch105:   nfs-utils-2.3.3-nfsconf-usegssproxy.patch
Patch106:   nfs-utils-2.4.2-systemd-svcgssd.patch

Requires(pre): rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(postun): rpm-helper
Requires:       rpcbind
Requires:       keyutils
Requires:       gssproxy
Recommends:     quota-rpc
BuildRequires:  pkgconfig(libevent)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(libnl-3.0)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(libtirpc)
BuildRequires:  pkgconfig(blkid)
BuildRequires:  keyutils-devel
BuildRequires:  pkgconfig(krb5) >= 1.3
BuildRequires:  pkgconfig(librpcsecgss) >= 0.12
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(devmapper)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(mount)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(readline)
BuildRequires:  rpcgen
Obsoletes:      nfs-utils-clients
Provides:       nfs-utils-clients

%description
This package provides various programs needed for NFS support on server.

%package -n %{libname}
Summary:        NFSv4 User and Group ID Mapping Library
License:        BSD
BuildRequires:  openldap-devel
Requires:       openldap

%description -n %{libname}
Library that handles mapping between names and ids for NFSv4.

%package -n %{devname}
Summary:    Development files for the libnfsidmap library
Requires:	%{libname} = %{epoch}:%{version}-%{release}

%description -n %{devname}
This package includes header files and libraries necessary for
developing programs which use the libnfsidmap library.

%prep
%autosetup -p1

# Remove .orig files
find . -name "*.orig" | xargs rm -f

# Change shebangs
find -name \*.py -exec sed -r -i '1s|^#!\s*/usr/bin.*python.*|#!%{__python3}|' {} \;

%build
%serverbuild
sh -x autogen.sh
%global _statdpath /var/lib/nfs/statd
%configure \
    CFLAGS="%{build_cflags} -D_FILE_OFFSET_BITS=64" \
    LDFLAGS="%{build_ldflags}" \
    --enable-mountconfig \
    --enable-ipv6 \
    --with-statdpath=%{_statdpath} \
    --enable-libmount-mount \
    --with-systemd \
    --without-tcp-wrappers \
    --with-pluginpath=%{_libdir}/libnfsidmap \
    --enable-junction

%make_build all

%install
%global _pkgdir %{_prefix}/lib/systemd

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_libexecdir}/nfs-utils/
install -d %{buildroot}%{_pkgdir}/system
install -d %{buildroot}%{_pkgdir}/system-generators
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_sysconfdir}/request-key.d
install -d %{buildroot}%{_sysconfdir}/modprobe.d
install -d %{buildroot}%{_sysconfdir}/gssproxy

%make_install

install -s -m 755 tools/rpcdebug/rpcdebug %{buildroot}%{_sbindir}
install -m 644 utils/mount/nfsmount.conf %{buildroot}%{_sysconfdir}
install -m 644 nfs.conf %{buildroot}%{_sysconfdir}
install -m 644 support/nfsidmap/idmapd.conf %{buildroot}%{_sysconfdir}
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/request-key.d

install -d %{buildroot}/run/sysconfig
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/modprobe.d/lockd.conf
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/gssproxy

rm -rf %{buildroot}%{_libdir}/*.{a,la}
rm -rf %{buildroot}%{_libdir}/libnfsidmap/*.{a,la}

install -d %{buildroot}%{_sharedstatedir}/nfs/rpc_pipefs

touch %{buildroot}%{_sharedstatedir}/nfs/rmtab
mv %{buildroot}%{_sbindir}/rpc.statd %{buildroot}/sbin

install -d %{buildroot}%{_sharedstatedir}/nfs/statd/sm
install -d %{buildroot}%{_sharedstatedir}/nfs/statd/sm.bak
install -d %{buildroot}%{_sharedstatedir}/nfs/v4recovery
install -d %{buildroot}%{_sysconfdir}/exports.d

install -d %{buildroot}%{_sysconfdir}/nfsmount.conf.d
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/nfsmount.conf.d

install -d %{buildroot}%{_udevrulesdir}

%pre
%_pre_useradd rpcuser %{_localstatedir}/lib/nfs /bin/false

%post
%_post_unit nfs-client.target

%preun
%_preun_unit nfs-client.target nfs-server.service nfs-blkmap.service nfs-secure.service nfs-secure-server.service

%postun
%_postun_userdel rpcuser

%files
%doc README NEWS COPYING
%dir %{_localstatedir}/lib/nfs
%dir %{_localstatedir}/lib/nfs/v4recovery
%dir %{_localstatedir}/lib/nfs/rpc_pipefs
%dir %{_libexecdir}/nfs-utils
%dir %attr(700,rpcuser,rpcuser) %{_localstatedir}/lib/nfs/statd
%dir %attr(700,rpcuser,rpcuser) %{_localstatedir}/lib/nfs/statd/sm
%dir %attr(700,rpcuser,rpcuser) %{_localstatedir}/lib/nfs/statd/sm.bak
%ghost %attr(644,rpcuser,rpcuser) %{_localstatedir}/lib/nfs/statd/state
%dir %{_sysconfdir}/exports.d
%dir %{_sysconfdir}/nfsmount.conf.d
%config(noreplace) %{_localstatedir}/lib/nfs/etab
%config(noreplace) %{_localstatedir}/lib/nfs/rmtab
%config(noreplace) %{_sysconfdir}/request-key.d/id_resolver.conf
%config(noreplace) %{_sysconfdir}/modprobe.d/lockd.conf
%config(noreplace) %{_sysconfdir}/nfsmount.conf
%config(noreplace) %{_sysconfdir}/nfs.conf
%config(noreplace) %{_sysconfdir}/gssproxy/24-nfs-server.conf
%config(noreplace) %{_udevrulesdir}/60-nfs.rules
%config(noreplace) %{_sysconfdir}/nfsmount.conf.d/10-nfsv4.conf
%{_unitdir}/*
%{_prefix}/lib/systemd/system-generators/*
%{_sbindir}/exportfs
%{_sbindir}/nfsstat
%{_sbindir}/rpcdebug
%{_sbindir}/rpcctl
%{_sbindir}/rpc.mountd
%{_sbindir}/rpc.nfsd
%{_sbindir}/showmount
%{_sbindir}/rpc.idmapd
%{_sbindir}/rpc.gssd
%{_sbindir}/sm-notify
%{_sbindir}/start-statd
%{_sbindir}/mountstats
%{_sbindir}/nfsiostat
%{_sbindir}/nfsidmap
%{_sbindir}/blkmapd
%{_sbindir}/nfsconf
%{_sbindir}/nfsref
%{_sbindir}/nfsdcld
%{_sbindir}/nfsdctl
%{_sbindir}/nfsdclddb
%{_sbindir}/nfsdclnts
%{_sbindir}/fsidd
%{_libexecdir}/nfsrahead
%{_udevrulesdir}/99-nfs.rules
%attr(4755,root,root) /sbin/mount.nfs
/sbin/rpc.statd
/sbin/mount.nfs4
/sbin/umount.nfs
/sbin/umount.nfs4
%{_mandir}/man5/exports.5*
%{_mandir}/man5/nfs.5*
%{_mandir}/man5/nfs.conf.5*
%{_mandir}/man5/nfsrahead.5.*
%{_mandir}/man5/nfsmount.conf.5*
%{_mandir}/man7/nfsd.7*
%{_mandir}/man7/nfs.systemd.7*
%{_mandir}/man8/exportfs.8*
%{_mandir}/man8/mountd.8*
%{_mandir}/man8/nfsd.8*
%{_mandir}/man8/rpc.mountd.8*
%{_mandir}/man8/rpc.nfsd.8*
%{_mandir}/man8/mount.nfs.8*
%{_mandir}/man8/nfsconf.8*
%{_mandir}/man8/nfsref.8*
%{_mandir}/man8/rpc.sm-notify.8*
%{_mandir}/man8/sm-notify.8*
%{_mandir}/man8/umount.nfs.8*
%{_mandir}/man8/rpc.statd.8*
%{_mandir}/man8/statd.8*
%{_mandir}/man8/showmount.8*
%{_mandir}/man8/nfsstat.8*
%{_mandir}/man8/rpcdebug.8*
%{_mandir}/man8/mountstats.8*
%{_mandir}/man8/nfsiostat.8*
%{_mandir}/man8/nfsidmap.8*
%{_mandir}/man8/blkmapd.8*
%{_mandir}/man8/rpc.gssd.8*
%{_mandir}/man8/rpc.idmapd.8*
%{_mandir}/man8/gssd.8*
%{_mandir}/man8/idmapd.8*
%{_mandir}/man8/nfsdcld.8*
%{_mandir}/man8/nfsdctl.8*
%{_mandir}/man8/nfsdclddb.8*
%{_mandir}/man8/nfsdclnts.8*
%{_mandir}/man8/rpcctl.8*


%files -n %{libname}
%doc support/nfsidmap/AUTHORS support/nfsidmap/README support/nfsidmap/COPYING
%config(noreplace) %{_sysconfdir}/idmapd.conf
%{_libdir}/libnfsidmap.so.*
%{_libdir}/libnfsidmap/*.so
%{_mandir}/man3/nfs4_uid_to_name.*
%{_mandir}/man5/idmapd.conf.*

%files -n %{devname}
%{_libdir}/pkgconfig/libnfsidmap.pc
%{_includedir}/nfsidmap.h
%{_includedir}/nfsidmap_plugin.h
%{_libdir}/libnfsidmap.so



%changelog
* Sun Mar 16 2025 wally <wally> 1:2.8.2-2.mga10
+ Revision: 2164963
- rebuild for libxml2 2.13.6

* Mon Dec 23 2024 daviddavid <daviddavid> 1:2.8.2-1.mga10
+ Revision: 2129308
- new version: 2.8.2

* Wed Aug 28 2024 mrambo3501 <mrambo3501> 1:2.7.1-1.mga10
+ Revision: 2092085
- version 2.7.1
- rediff patches 101 and 105
+ wally <wally>
- own /etc/nfsmount.conf.d/

* Tue Apr 25 2023 guillomovitch <guillomovitch> 1:2.6.3-1.mga9
+ Revision: 1954939
- new version 2.6.3

* Tue Jan 03 2023 umeabot <umeabot> 1:2.6.2-2.mga9
+ Revision: 1929546
- Rebuild to use libldap-2.5 instead of 2.4

* Thu Aug 18 2022 guillomovitch <guillomovitch> 1:2.6.2-1.mga9
+ Revision: 1878506
- new version 2.6.2

* Fri Apr 01 2022 umeabot <umeabot> 1:2.5.4-2.mga9
+ Revision: 1837888
- Mageia 9 Mass Rebuild

* Tue Jul 13 2021 guillomovitch <guillomovitch> 1:2.5.4-1.mga9
+ Revision: 1735941
- new version 2.5.4

* Thu Feb 25 2021 guillomovitch <guillomovitch> 1:2.5.3-1.mga9
+ Revision: 1691077
- new version 2.5.3

* Wed Nov 25 2020 tv <tv> 1:2.5.2-2.mga8
+ Revision: 1649229
- BR new rpcgen pkg for bulding with glibc-2.32

* Fri Oct 23 2020 guillomovitch <guillomovitch> 1:2.5.2-1.mga8
+ Revision: 1638937
- new version 2.5.2

* Tue Jul 14 2020 guillomovitch <guillomovitch> 1:2.5.1-3.mga8
+ Revision: 1606109
- new version 2.5.1

* Tue Feb 18 2020 umeabot <umeabot> 1:2.4.3-3.mga8
+ Revision: 1538433
- Mageia 8 Mass Rebuild

* Sun Feb 16 2020 daviddavid <daviddavid> 1:2.4.3-2.mga8
+ Revision: 1532101
- rebuild for new libevent 2.1.11

* Tue Feb 11 2020 guillomovitch <guillomovitch> 1:2.4.3-1.mga8
+ Revision: 1489638
- new version 2.4.3
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Nov 21 2019 guillomovitch <guillomovitch> 1:2.4.2-2.mga8
+ Revision: 1462040
- new version 2.4.2

* Mon Jul 01 2019 guillomovitch <guillomovitch> 1:2.4.1-1.mga8
+ Revision: 1417232
- new version 2.4.1

* Sat Jun 22 2019 guillomovitch <guillomovitch> 1:2.3.4-3.mga7
+ Revision: 1400495
- sync patches with Fedora

* Thu May 23 2019 akien <akien> 1:2.3.4-2.mga7
+ Revision: 1398937
- Fix werror=format issue on i586 (patch by joeghi)
+ guillomovitch <guillomovitch>
- new version 2.3.4

* Tue May 14 2019 kekepower <kekepower> 1:2.3.3-4.mga7
+ Revision: 1397664
- Add patch to change /var/run to /run
+ tv <tv>
- fix URL + use s/bz2/xz/ tarball

* Sat Oct 27 2018 guillomovitch <guillomovitch> 1:2.3.3-3.mga7
+ Revision: 1326160
- restore setuid bit on nfs.mount (mga#23742)
- move rpc.statd from /usr/sbin to /sbin

* Thu Sep 20 2018 guillomovitch <guillomovitch> 1:2.3.3-2.mga7
+ Revision: 1288801
- turn hard dependency on quota to a soft dependency on quota-rpc
- fix systemd generators path

* Thu Sep 13 2018 guillomovitch <guillomovitch> 1:2.3.3-1.mga7
+ Revision: 1258914
- new version 2.3.3

* Wed May 30 2018 guillomovitch <guillomovitch> 1:2.3.2-1.mga7
+ Revision: 1233155
- new version 2.3.2

* Fri Dec 22 2017 guillomovitch <guillomovitch> 1:2.3.1-1.mga7
+ Revision: 1183795
- new version 2.3.1

* Thu Nov 09 2017 guillomovitch <guillomovitch> 1:2.2.1-1.mga7
+ Revision: 1176666
- new version 2.2.1

* Tue Jul 25 2017 guillomovitch <guillomovitch> 1:2.1.1-2.mga7
+ Revision: 1130384
- sync with fedora package

* Fri Jul 21 2017 guillomovitch <guillomovitch> 1:2.1.1-1.mga7
+ Revision: 1125705
- new version 2.1.1
+ ghibo <ghibo>
- Rebuilg against libtirpc

* Thu Jul 06 2017 ghibo <ghibo> 1:1.3.4-4.mga6
+ Revision: 1109105
- Bump release for rebuilding

* Thu Jul 06 2017 ghibo <ghibo> 1:1.3.4-3.mga6
+ Revision: 1109083
- Enable -fpie on building.
- Removed duplicated files from filelist.

* Thu Feb 16 2017 guillomovitch <guillomovitch> 1:1.3.4-2.mga6
+ Revision: 1086401
- fix ordering issue preventing NFS server to start at boot time (#20255)

* Sun Aug 21 2016 guillomovitch <guillomovitch> 1:1.3.4-1.mga6
+ Revision: 1047604
- version 1.3.4 (final)

* Mon Jul 11 2016 guillomovitch <guillomovitch> 1:1.3.4-0.rc5.2.mga6
+ Revision: 1041062
- fix nfs-utils_env.sh script location (fix #18897)

* Wed Jul 06 2016 guillomovitch <guillomovitch> 1:1.3.4-0.rc5.1.mga6
+ Revision: 1039173
- set version to 1.3.4, to match actual source content
  update to rc5

* Sun Mar 20 2016 guillomovitch <guillomovitch> 1:1.3.3-4.mga6
+ Revision: 993072
- sync patches with fedora

* Sat Jan 02 2016 tv <tv> 1:1.3.3-3.mga6
+ Revision: 918178
- rebuild for new libtirpc

* Tue Dec 22 2015 guillomovitch <guillomovitch> 1:1.3.3-2.mga6
+ Revision: 913575
- drop prehistoric doc files, use newer ones
- reintroduce /etc/exports file, it still works as expected (#17327)
- fix client unit name (#17357)

* Thu Dec 03 2015 guillomovitch <guillomovitch> 1:1.3.3-1.mga6
+ Revision: 907835
- new version 1.3.3
- sync with upstream systemd units (may need further update work...)

* Mon Jan 12 2015 colin <colin> 1:1.3.0-6.mga5
+ Revision: 810092
- Fix /usr/bin/start-statd for Mageia paths and unit names

* Wed Oct 15 2014 umeabot <umeabot> 1:1.3.0-5.mga5
+ Revision: 740052
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 luigiwalser <luigiwalser> 1:1.3.0-4.mga5
+ Revision: 737540
- UsrMove fixes

* Tue Sep 16 2014 umeabot <umeabot> 1:1.3.0-3.mga5
+ Revision: 682880
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 blino <blino> 1:1.3.0-2.mga5
+ Revision: 673661
- fix segfault when built with gcc 4.9 (from upstream git)

* Sun Jul 06 2014 guillomovitch <guillomovitch> 1:1.3.0-1.mga5
+ Revision: 645943
- new version 1.3.0

* Tue Feb 25 2014 guillomovitch <guillomovitch> 1:1.2.9-1.mga5
+ Revision: 597166
- new version 1.2.9
- install scripts under %%_libexecdir, as on fedora
- minor cosmetics systemd units changes

* Sat Oct 19 2013 umeabot <umeabot> 1:1.2.8-2.mga4
+ Revision: 523667
- Mageia 4 Mass Rebuild

* Fri May 24 2013 guillomovitch <guillomovitch> 1:1.2.8-1.mga4
+ Revision: 426098
- new version

* Mon May 06 2013 colin <colin> 1:1.2.7-3.mga3
+ Revision: 412434
- Enable nfs.target on install and handle migration from sysvinit scripts.
- idmap requires /var/lib/nfs/rpc_pipefs
- Require 'quota' for rpc.rquoatad binary.
- systemd unit tweaks:
-  * Remove [Install] rules for all units that are implicitly started by other units.
-  * Ensure all service units that are under admin control are WantedBy=nfs.target
-  * Clarify unit names (nfs.target is for both clients and servers, nfs-secure.service is for clients)
-  * Standardise sysconfig variable names (*OPTS vs. *ARG vs. *ARGS -> *ARGS)
- Fix typo in argument variable (from Fedora)
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 guillomovitch <guillomovitch> 1:1.2.7-1.mga3
+ Revision: 323150
- new version

* Wed Nov 14 2012 blino <blino> 1:1.2.6-7.mga3
+ Revision: 317928
- add rpc module aliases, moved from kmod (from JA Magallón, mga#6918)

* Mon Oct 01 2012 colin <colin> 1:1.2.6-6.mga3
+ Revision: 301513
- Enable libmount mounting. Solves various issues relating to nofail and user mount options.

* Sat Jul 21 2012 dlucio <dlucio> 1:1.2.6-5.mga3
+ Revision: 273053
- lets provide clients to make the drakconf work properly

* Thu Jun 14 2012 blino <blino> 1:1.2.6-4.mga3
+ Revision: 260513
- move module alias nfs.conf to /etc/modprobe.d

* Wed Jun 13 2012 blino <blino> 1:1.2.6-3.mga3
+ Revision: 260392
- do not install modalias nfs.conf in a sub-directory (this is invalid)

* Mon Jun 11 2012 guillomovitch <guillomovitch> 1:1.2.6-2.mga3
+ Revision: 259882
- add exports.d directory
- use /var/lib/nfs/statd for statd, instead of /var/lib/nfs, as in fedora
- add modprobe config file to alias 'nfs4' to 'nfs'
- add systemd support
- drop sysinit support
- merge client and server package, as per redhat setup

* Thu May 31 2012 guillomovitch <guillomovitch> 1:1.2.6-1.mga3
+ Revision: 252212
- drop obsoletes upgrade posts scriptlets
- drop obsolete README.upgrade file
- drop obsolete documentation
- new version

* Fri Sep 30 2011 guillomovitch <guillomovitch> 1:1.2.5-1.mga2
+ Revision: 150508
- new version
- new version
- get rid of old conflict tags in spec file

* Tue Feb 08 2011 ennael <ennael> 1:1.2.3-2.mga1
+ Revision: 49044
- imported package nfs-utils


* Wed Dec 22 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.3-2mdv2011.0
+ Revision: 623868
- rebuilt against libevent 2.x

* Tue Sep 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.3-1mdv2011.0
+ Revision: 581867
- new version
  run idmapd by default, as NFSv4 is the default now

* Mon Apr 05 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.2-4mdv2010.1
+ Revision: 531794
- fix rpc.idmapd reloading in nfs-server init script
- fix descriptions (#58465)

* Tue Mar 30 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.2-3mdv2010.1
+ Revision: 529744
- rebuild with fixed libtirpc package

* Mon Mar 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.2-2mdv2010.1
+ Revision: 528780
- fix nfs4 support

* Thu Feb 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.2-1mdv2010.1
+ Revision: 507780
- new version

* Mon Feb 08 2010 Thomas Backlund <tmb@mandriva.org> 1:1.2.1-3mdv2010.1
+ Revision: 502491
- fix nfs mount fallback to v2/v3 if v4 fails (fix from upstream, mdv #57255)

* Tue Feb 02 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.1-2mdv2010.1
+ Revision: 499412
- enable mount configuration file support

* Fri Nov 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.1-1mdv2010.1
+ Revision: 462033
- new version
- don't check if the kernel has nfsd support, the symbol doesn't exist anymore (bug #54278)

  + Eugeni Dodonov <eugeni@mandriva.com>
    - removed redundant startup dependency on $network.

* Mon Sep 21 2009 Eugeni Dodonov <eugeni@mandriva.com> 1:1.2.0-2mdv2010.0
+ Revision: 446597
- Added missing buildrequires for libblkid-devel.
- Added dependency on $network to enable correct nfs shared mounting and unmounting during startup and shutdown (#43654)

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.0-1mdv2010.0
+ Revision: 383674
- new version

* Tue May 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.6-2mdv2010.0
+ Revision: 372312
- requires rpcbind, tirpc support isn't compatible with portmap

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.6-1mdv2010.0
+ Revision: 370369
- fix build dependencies
- new version
- enable tirpc and ipv6 support

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Reverted support for hardcoded fixed ports for NFS, now handled by drakx-net
      automatically.
    - Using fixed ports for NFS services (required for #7689 and #42072).

* Thu Mar 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.5-1mdv2009.1
+ Revision: 349071
- new version
- fix perms directly without regenerating autotools suite

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.4-3mdv2009.1
+ Revision: 337611
- fix build with latest libtool
- keep bash completion in its own package

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.4-2mdv2009.1
+ Revision: 317121
- rebuild

* Mon Oct 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.4-1mdv2009.1
+ Revision: 295575
- new version

* Sun Sep 28 2008 Frederik Himpe <fhimpe@mandriva.org> 1:1.1.3-7mdv2009.0
+ Revision: 289001
- Add epoch to the conflict in an attempt to fix upgrade from 2008.1

* Fri Sep 26 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.3-6mdv2009.0
+ Revision: 288550
- fix deps

* Fri Sep 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.3-5mdv2009.0
+ Revision: 288517
- fix post-install scriptlet

* Thu Sep 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.3-4mdv2009.0
+ Revision: 288302
- restart nfs-server service after restarting nfs-common service on update (bug #44149)
- stricter dependency between nfs-utils and nfs-utils-client

* Sat Sep 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.3-3mdv2009.0
+ Revision: 286184
- bash completion

* Sat Sep 06 2008 Frederic Crozat <fcrozat@mandriva.com> 1:1.1.3-2mdv2009.0
+ Revision: 282005
-Add conflicts to ease upgrade from Mdv 2008.1

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.3-1mdv2009.0
+ Revision: 270556
- new version

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1:1.1.2-3mdv2009.0
+ Revision: 265198
- rebuild early 2009.0 package (before pixel changes)

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - move rpcdebug and nfsstat in client package

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed May 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.2-2mdv2009.0
+ Revision: 207041
- rebuilt against libevent-1.4.4

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version (no NFS4 patches available currently)

* Tue Apr 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.1-9mdv2009.0
+ Revision: 196530
- install all documentation files under /usr/share/doc/nfs-utils
- really fix rquotad binary name everywhere
- handle stop and status for rpc.rquotad, and fix binary name
- add missing quota support
- don't start nfs in runlevel 2 (Anssi)

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1:1.1.1-8mdv2008.1
+ Revision: 152817
+ rebuild (emptylog)

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1:1.1.1-7mdv2008.1
+ Revision: 152813
- remove useless kernel require

* Tue Jan 08 2008 Andreas Hasenack <andreas@mandriva.com> 1:1.1.1-6mdv2008.1
+ Revision: 146559
- fix permissions in sm/ subdir so that statd can run as rpcuser instead of root

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.1-5mdv2008.1
+ Revision: 137567
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Christiaan Welvaart <spturtle@mandriva.org> 1:1.1.1-4mdv2008.1
+ Revision: 119031
- patch55: mount.nfs should not try to update /etc/mtab if it is not writable

* Tue Dec 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.1-3mdv2008.1
+ Revision: 117538
- add RPCNFSD_OPTIONS in init script configuration
- no need to depend on network when already depending on portmap in initscripts
- make statd usage optional too, for pure nfs4 setup
- fix reload entry in server init script (bug #35655)

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 1:1.1.1-2mdv2008.1
+ Revision: 109205
- rebuild for new lzma

* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.1-1mdv2008.1
+ Revision: 105882
- new version

* Fri Oct 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-11mdv2008.1
+ Revision: 95538
- return of the old chkconfig headers in initscript, to workaround several issues if chkconfig

* Wed Sep 26 2007 Olivier Blin <oblin@mandriva.com> 1:1.1.0-10mdv2008.0
+ Revision: 93088
- make mount.nfs readble for all users (so that it can be copied in drakx-installer-stage2 build)

* Sun Sep 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-9mdv2008.0
+ Revision: 92345
- fix README.urpmi file
- add README.upgrade.urpmi for describing init scripts setup
- ensure nfs is still enabled after upgrade (fix #32184)
- remove old headers, workaround is not needed as chkconfig --{add,del} is OK
- make nfs-server init script depends on nfs-common
- re-add old headers in init scripts (workaround for #33389)

* Wed Sep 12 2007 Anssi Hannula <anssi@mandriva.org> 1:1.1.0-7mdv2008.0
+ Revision: 84675
- remove obsolete README.urpmi, it was about already removed variables

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-6mdv2008.0
+ Revision: 81172
- spec cleanup
- fix build with gssglue
  drop unused patches
  drop conditional build without tcpwrapper
- drop dependency on gssapi-devel, rpcsecgss-devel already requires it
- add missing dependency on

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-5mdv2008.0
+ Revision: 78415
- add  facility to server init script (#28589)
- allow init script gprintification

* Thu Aug 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-4mdv2008.0
+ Revision: 70148
- fix a bug in /etc/fstab reading in initscripts (fix #7406)

* Mon Aug 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-3mdv2008.0
+ Revision: 67206
- make sure %%post scripts always return a true exit status

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-2mdv2008.0
+ Revision: 66829
- fix dangling symlinks issue on upgrade
- add missing %%{_localstatedir}/nfs/sm (fix #32440)

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-1mdv2008.0
+ Revision: 56033
- drop nfs4 conditional build, useless complexity
- switch to simpler debian-based initscripts
- requires portmapper virtual package, not rpcbind, and only for client, as server requires it
- no more need to call autogen before configure
- new NFS4 patchset
- new version, dropping all merged patches

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 1:1.0.12-15mdv2008.0
+ Revision: 43208
- use serverbuild macro

* Thu Apr 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.12-14mdv2008.0
+ Revision: 15034
- use rpcbind instead of portmap


* Tue Mar 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.12-13mdv2007.1
+ Revision: 147007
- yet another client-side file issue

* Tue Mar 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-12mdv2007.1
+ Revision: 146967
- fix more typos in init script reload() function

* Tue Mar 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-11mdv2007.1
+ Revision: 146877
- move %%{_localstatedir}/nfs/rpc_pipefs on client side, as it is needed by rpc.idmapd

* Mon Mar 19 2007 Pixel <pixel@mandriva.com> 1:1.0.12-10mdv2007.1
+ Revision: 146584
- /etc/exports upgrade is now safely handled in package setup

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - fix typo

* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 1:1.0.12-9mdv2007.1
+ Revision: 144426
- fix typos in lock file paths

* Wed Mar 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-8mdv2007.1
+ Revision: 143407
- drop merged nfs4 patches
- additional notes about upgrade in README.urpmi
- minor spec cleanup
- don't check keytab in rpcsvcgssd service, because it would force a dependecy on krb5-workstation package
- renumber nfs4 patches as upstream, to make tracking easier
- use versioned conflicts, rather than versioned requires, to handle relationship with setup and server-clients packages

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-7mdv2007.1
+ Revision: 138954
- set a versioned requires on nfs-utils-client, to avoid conflicts on services script during upgrade (thx tv)
  cleanup old conflicts and dependencies

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-6mdv2007.1
+ Revision: 138786
- fix %%post/%%pre, as some services have been moved between client and server package
- mv /etc/exports from setup to this package
- move more nfs4 clients files to clients subpackage
- clean up all init scripts:
- remove useless tests on binary presence
- use consistant syntax and indentation
- use functions to avoid useless forks
- replace non-standard 'condstart' actions by 'reload'
- use lock files to prevent double start
- make nfs4 init scripts really use variables defined in /etc/sysconfig/nfs
- make nfs4 init scripts not depending on SECURE_NFS variable,
  they are supposed to be used on client side only
- make nfs service really fails if /etc/exports is missing
- change nfs service to handle nfs4 services if configured to do so
- change nfs service to launch nfsd after mountd

* Thu Mar 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-5mdv2007.1
+ Revision: 138345
- really revert my changes in init script, not just in my working directory...

* Thu Mar 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-4mdv2007.1
+ Revision: 137845
- mv /etc/sysconfig/nfs in client subpackage
- use functions to avoid forking new process uselessly for restart
  use global variables for lockfile location
- various cleanups:
- constant indentation
- set default values before sourcing configuration
- drop useless tests
- don't manage activation dependencies in init script, that's chkconfig task

* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-3mdv2007.1
+ Revision: 134577
- no need to specify perms in file section if they are already correct
- rpcidmapd and rpcgssd are client tools

* Thu Mar 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-2mdv2007.1
+ Revision: 130570
- no reason for a mandatory dependency on kerberos tools just because it is supported

* Tue Feb 27 2007 Olivier Thauvin <nanardon@mandriva.org> 1:1.0.12-1mdv2007.1
+ Revision: 126372
- reapply patch for nfsv4, clean up the old one
- 1.0.12

* Mon Jan 22 2007 Andreas Hasenack <andreas@mandriva.com> 1:1.0.10-2mdv2007.1
+ Revision: 111853
- rebuilt with new librpcsecgss (soname 3)
- added latest CITI patch for nfs-utils

* Thu Nov 23 2006 Andreas Hasenack <andreas@mandriva.com> 1:1.0.10-1mdv2007.1
+ Revision: 86807
- updated to version 1.0.10

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.9-4mdv2007.1
+ Revision: 63384
- bunzip sources
- Import nfs-utils

* Fri Sep 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.9-3mdv2007.0
- don't use the kerberos releated parts per default (#25704), it also 
  eliminates failure ([FAIL]) on the support services when rebooting.
  added a README.urpmi file that mentions this.

* Thu Sep 14 2006 Olivier Blin <blino@mandriva.com> 1.0.9-2mdv2007.0
- make the nfs service return nfsd status (#23442)

* Sun Jul 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.9-1mdv2007.0
- 1.0.9
- drop upstream patches; P55,P152

* Thu Jun 29 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-4mdv2007.0
- fix #19059 in S4

* Fri Jun 09 2006 Vincent Guardiola <vguardiola@mandriva.com> 1:1.0.8-3mdv2007.0
- add patch nfs-utils-1.0.8-err_util.patch (Andreas Hasenack)
- sec=krb5 works now

* Thu Jun 08 2006 Vincent Guardiola <vguardiola@mandriva.com> 1:1.0.8-2mdv2007.0
- Fix rpc.mountd start in initscript (Bug 22979)

* Wed Jun 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-1mdv2007.0
- 1.0.8
- drop upstream patches; P53,P56
- rediffed P100
- enable NFSV4 and tcp_wrappers per default
- fix deps
- don't start rpcsvcgssd if nfs is not setup in kerberos (Andreas Hasenack)

* Sat Feb 04 2006 Olivier Blin <oblin@mandriva.com> 1:1.0.8-0.rc2.4mdk
- remove spurious "Shutting down NFS mountd: " message
  in nfs service status (Source2)

* Tue Jan 31 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.0.8-0.rc2.3mdk
- Ada /var/lib/nfs/v4recovery directory to nfs-utils-clients package

* Fri Jan 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-0.rc2.2mdk
- fix deps

* Sat Jan 14 2006 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-0.rc2.1mdk
- 1.0.8-rc2
- sync fedora patches (1.0.8-1)
- drop patch 0
- drop patch 2, replaced by patch 100
- drop patch 10-16, 20-27
- disable patch 40, 150, 151

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.0.7-10mdk
- fix typo in initscripts

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1:1.0.7-9mdk
- convert parallel init to LSB (Sources 2, 4, 6, 7, 8, ouch)
- split Requires(X,Y)

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 1:1.0.7-8mdk
- parallel init support

* Tue Dec 20 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.7-7mdk
- Remove patch200 (CAN-2004-1014) merged in post6 (patch16)
- Remove patch201 (CAN-2004-0946) merged in post5 (patch15)
- sync patches with 1.0.7-19.FC5

* Wed Aug 24 2005 Stew Benedict <sbenedict@mandriva.com> 1:1.0.7-6mdk
- conflicts with clusternfs

* Sun May 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-5mdk
- use separate sources for initscripts and such (for cvs tracking)
- synced with fedora (P25)
- added P26,P27,P27 from fedora
- added one gcc4 patch (P50, gentoo)
- use the %%mkrel macro
- use new rpm-4.4.x pre,post magic

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.0.7-4mdk
- synced sysv scripting with fedora and added P20-P25 (nfs-utils-1.0.7-1)
- misc rpmlint fixes

* Wed Feb 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-3mdk
- make sure portmap is running (nfs)

* Tue Jan 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-2mdk
- fix deps
- make sure portmap is running (nfslock)

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7 
- rediffed the CAN-2004-1014 patch (P200, parts of it was applied)
- merge nfs4-utils-1.0.6-3mdk into this package but use --with
  build options instead
- drop obsolete patches and reorder them
- added P3
- added P200 (CAN-2004-0946, even though we don't build rpcquotad
  apply the patch anyway)
- fix deps

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-3mdk
- merged with 1.0.6-2.1.101mdk

* Wed Sep 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-2mdk
- spec file cleanup

